Subject: Re: 23.1; Newsticker can't parse most XML feeds

From: Ulf Jasper <[email-masked]>
Date: Mon, 04 Jan 2010 19:27:27 +0100

Richard Lewis <[email-masked]> writes:

> At Fri, 18 Dec 2009 19:01:40 +0100,
> Ulf Jasper wrote:
>> 
>> Richard Lewis <[email-masked]> writes:
>> 
>> > Newsticker.el reports errors when trying to parse most of the feeds I
>> > want to read.
>> >
>> > Here's an example backtrace:
>> 
>> Could you please send the URL of (one of) those RSS feeds?  Could you
>> please set newsticker-retrieval-method to 'extern (so that feeds get
>> downloaded wget is used for downloading instead of emacs-internal
>> url-retrieve) -- does that help?
>> 
> Ah, OK. That works a lot better. I don't think I have any broken feeds
> now, apart from some HTTPS ones.
>
> One of the URLs that wasn't behaving with url-retrieve was
> http://planet.lisp.org/rss20.xml.

Works for me (from 2009-12-19, 16:30 MET until now, 2010-01-04, 19:30
MET)! Maybe the feed contents were screwed and have been fixed in the
meantime. Could you please set newsticker-retrieval-method back to
'intern? Do you have another example?